> This page is for API Reference & Tools.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.moveworks.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.moveworks.com/_mcp/server.

# Legacy & Deprecated APIs

> Moveworks API lifecycle stages, from stable through legacy and deprecated

Moveworks APIs follow a defined lifecycle. Understanding each stage helps you plan integrations and migrations.

## API Lifecycle Stages

| Stage          | What it means                                                             | Support level                                   | Example                            |
| -------------- | ------------------------------------------------------------------------- | ----------------------------------------------- | ---------------------------------- |
| **Stable**     | Actively supported, maintained, and improved                              | Full support, bug fixes, new features           | Events API, Webhooks API, Data API |
| **Legacy**     | Works and existing functionality is preserved, but no future improvements | Maintained, no new features                     | Message API                        |
| **Deprecated** | Not expected to work. If it does, that's a fluke.                         | No support, no bug fixes, scheduled for removal | Beta API endpoints                 |

## Stable APIs

Stable APIs are the current, recommended endpoints for building integrations. These are actively supported and receive ongoing improvements.

For versioned releases, Moveworks may publish alpha and beta endpoints to select pilot customers before promoting them to stable. See [API Release Management](/ai-assistant/data-api/api-release-management) for details on the versioning process.

## Legacy APIs

Legacy APIs continue to function and existing behavior is preserved. However, Moveworks will not make future improvements or add new features to these endpoints.

If you are currently using a legacy API, your integration will continue to work. We recommend migrating to the stable equivalent when possible.

### Legacy endpoints

#### `POST /rest/v1/messages/send`

The V1 Messages API is considered legacy. It continues to function, but no further enhancements will be made.

## Deprecated APIs

> **Warning**
>
> Deprecated APIs are not expected to work. Errors will not be addressed and customers should not use these endpoints. They are scheduled for removal.

### Deprecated endpoints

#### `POST /rest/v1beta1/messages/send`

This endpoint was deprecated as of **January 31, 2023**.

To migrate, switch all instances of this endpoint to:

```
https://api.moveworks.ai/rest/v1/messages/send
```

> **Note**
>
> You will still be able to use your current Message API Key.

#### `/assistant/v1/*` (Conversations API)

The `/assistant/v1` base path for the Conversations API is deprecated. `/rest/v1` is the base path for the Conversations API going forward.

The endpoints are the same on both base paths, with two differences: `/rest/v1` does not return the deprecated `x-moveworks-root-uuid` response header, and new capabilities such as modals are served only on `/rest/v1`.

To migrate, switch all instances of this base path to:

```
https://api.moveworks.ai/rest/v1
```

See the [Conversations API reference](/api-reference/conversations-api/conversations-api) for the current endpoints.

## Experimental APIs

> **Warning**
>
> Experimental APIs are subject to change or deprecation with advance notice of at least 14 days.

Moveworks publishes bleeding-edge capabilities to select pilot customers through beta endpoints. Beta endpoints are denoted by their version path.

For example, `https://api.moveworks.ai/rest/v2beta3/*` represents the 3rd beta iteration of the V2 API.